Page MenuHomePhabricator

Enable Huggle on translatewiki.net
Open, LowPublic

Description

Is it possible to enabe Huggle on TranslateWiki? Edits should be filtered by user defined languages

Event Timeline

Evs created this task.Jul 13 2018, 3:31 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 13 2018, 3:31 AM
Addshore renamed this task from Enabe Huggle on TranslateWiki to Enable Huggle on TranslateWiki.Jul 13 2018, 8:30 AM
Petrb added a subscriber: Petrb.Jul 13 2018, 10:19 AM

Well... actually yes, it's possible, but is there really any support for this on TWN? I would rather not spend lot of time setting it up there just to see it getting banned or rejected by local admins

Evs added a subscriber: Nikerabbit.Jul 13 2018, 1:33 PM

Let ask them. As I know there were a lot of vandalism/machine translating edits on TranslateWiki, especially in the Russian language section, so Huggle monitoring may be extremely useful for this project. @Nikerabbit, can you implement this?

Petrb added a comment.Jul 13 2018, 2:13 PM

He doesn't need to implement anything it's just about getting an approval to use this kind of a tool on their wiki ;)

Huggle is compatible with any MediaWiki installation, all you need to do is to create couple of pages and import few templates

Evs added a comment.Jul 13 2018, 2:29 PM

Great, so you just need to get consent :) And implement filters in Huggle, that can use translations=only and trailer=/$language in filters options

Nemo_bis renamed this task from Enable Huggle on TranslateWiki to Enable Huggle on translatewiki.net.Jul 13 2018, 3:52 PM

It's not very clear what it means to "enable Huggle" on a wiki like translatewiki.net. When I look at https://www.mediawiki.org/wiki/Manual:Huggle/Deploying and https://www.mediawiki.org/wiki/Manual:Huggle/Configuration , I see some 99 % of things which are irrelevant for translatewiki.net. Is it possible to disable any and all templates, edit summaries, regexes, scores, admin-related tools, report pages and talk page messages, so that other users do not notice any difference or "alien" practice? If it's just a different tool to perform the same edits, of course as translatewiki.net staff we don't have any objection.

We'd certainly like to hear what you want to achieve that you feel you currently can't do, to understand if there are other ways to help.

Nemo_bis triaged this task as Low priority.Jul 13 2018, 4:02 PM
Evs added a comment.Jul 13 2018, 7:44 PM

Yes, there is no need fol a lot of special or warning templates, https://translatewiki.net/wiki/Template:Delete is enough.

Minimal required changes to enable Huggle in read-only mode is to create a project and configuration pages:

In order to use it read-write mode, it's also needed to import / enable some warning templates, with at least final warning level and define some revert summaries and vandalism categories in yaml config.

I don't see any point in "disabling of any and all templates, edit summaries, regexes, scores, admin-related tools, report pages and talk page messages" that basically means not installing Huggle at all ;)

Evs added a comment.Jul 14 2018, 8:30 AM

What features would I like to get using Huggle on TranslateWiki:

  1. Ability to track new and edited translations in languages that will be set by me (with diff view)
  2. Ability to edit translations from queue as with Special:Translate page as action=edit
  3. Ability to rollback incorrect translations in cases of vandalism or machine translation
  4. Ability of placing pages on speedy deletion with {{Delete}} template
  5. Ability to review translations (like patroling)
  6. Desirable: ability to mark translations as fuzzy (by adding !!FUZZY!! at the beginning of the article text)
  7. Optionally: ability to warn users, who make vandal or machine translations

Most of those features seem unlikely to be implemented in Huggle. As of now, the only thing Huggle may provide is the ability to add the "delete" tag, but if you need it so often then I may just make you sysop. Usually deletion is not used much on translatewiki.net because it's of little use for messages (it has no effect unless you delete a translation before it's exported at the end of the day).

If Huggle implements Translate-specific features, then it may become interesting to enable and this request could be kept open.

In order to use it read-write mode, it's also needed to import / enable some warning templates, with at least final warning level and define some revert summaries and vandalism categories in yaml config.

If so, I tend to decline the request.

Evs added a comment.Jul 15 2018, 9:24 AM

ok, then let's exclude the use of warn users functions and if in Huggle there will be exactly the functionality that I described above, then we connect it to read-write. I think Huggle can be used in that cases and functionality is not much needed to be coded

Petrb added a comment.Aug 5 2018, 9:33 PM

I actually think that Huggle can do most of the requested features.

  1. that's basically checking the diffs of edits with specific filter isn't it?
  2. you would need to describe how to do that, but probably can be scripted
  3. well, that's basically just a normal revert or not? Does the content model of TWN prevent rollback API or reverting of edits?
  4. Can be done simple
  5. If you explain or describe some APIs that can do that it can be scripted
  6. Can be scripted too
  7. That's already implemented

So, I think Huggle can do all of that, but there might need to be some scripting involved.

Evs added a comment.EditedAug 5 2018, 11:00 PM

I actually think that Huggle can do most of the requested features.

  1. that's basically checking the diffs of edits with specific filter isn't it?
  2. you would need to describe how to do that, but probably can be scripted
  3. well, that's basically just a normal revert or not? Does the content model of TWN prevent rollback API or reverting of edits?
  4. Can be done simple
  5. If you explain or describe some APIs that can do that it can be scripted
  6. Can be scripted too
  7. That's already implemented

So, I think Huggle can do all of that, but there might need to be some scripting involved.

  1. Yes
  2. Just need to add opening the translating page, for example https://translatewiki.net/w/i.php?title=Special:Translate&showMessage=reload&group=huggle&language=ru&filter=&optional=1&action=translate. Real TransWii page is Huggle:Reload/ru, but I dont know how to get the "group" and "showMessage" parameters (i think https://www.mediawiki.org/wiki/Help:Extension:Translate/API can help), beecause they can be diferent, e.g.: https://translatewiki.net/w/i.php?title=Special:Translate&showMessage=xtools-accepted-formats&group=xtools&language=ru&filter=&optional=1&action=translate for Wikimedia:Xtools-accepted-formats/ru page. These pages are used in meta and wikidata too.
  3. At this moment rollback feature is only allowed for sysops in TranslateWiki, so only "software rollbacks" can be used for general users. May be it should be changed? I don't know, I'm not sysop :) Better ask them.
  4. Can be done via action=translationreview API call (like action=patrol or action=approve). I think this parameter should be added in config because English wikipedia is using patrol actions, Russian wikipedia is using approve actions and translations is using translationreview actions. Also these translationreview are also used in meta or Wikidata to translatine some elements.

Did this reach to a conclusion? Based on my current understanding, we do not need add anything to translatewiki.net to use Huggle, but you are asking some additional features in Huggle. Please correct me if this is wrong.